/** 
 * @file grados.cc   
 *
 * @mainpage Ejemplo C++ para la práctica de laboratorio 7
 * @author Coromoto Leon
 * @date 28.10.2011 
 *
 * Implementación de un programa que convierte los grados Farenheit a grados centígrados 
 *
 * El sistema métrico utiliza la escala Celsius para medir la temperatura. 
 * Sin embargo la temperatura en algunos sitios aún se mide en grados Fahrenheit.
 *
 * El agua se congela a 0º Centígrados y hierve a 100º Centígrados, lo que indica 
 * una diferencia de 100º. 
 * El agua se congela a 32º Fahrenheit y hierve a 212º Fahrenheit, lo que indica 
 * una diferencia de 180º. 
 * Por lo tanto cada grado en la escala Fahrenheit es igual a 100/180 o 5/9 grados 
 * en la escala Celsius.
 *
 * Como convertir grados Fahrenheit a grados Celsius Resta 32º para adaptar el 
 * equivalente en la escala Fahrenheit.
 * Multiplica el resultado or 5/9.
 *
 * Ejemplo: convierte 98.6º Fahrenheit a Centígrados.
 *          98.6 - 32 = 66.6
 *          66.6 * 5/9 = 333/9 = 37o C. 
 */

#include <iostream>  // manipulación de la entrada-salida estándar 

/* Declaraciones de variables globales */
/**
 * almacena la cantidad de grados Fahrenheit dados por el usuario 
 */
double f; 

/**
 * almacena el resultado, esto es, los grados centígrados  r <- 5 / 9 * (f - 32)  
 */
double r;  
  
/**
 * @brief conversión de grados Fahrenheit a grados Centígrados
 *
 * @version 1.0
 * @return  Un cero. Finalización sin errores.
 */
int main() {         

  /* Recogida de datos de entrada */
  std::cout << "Introduzca los grados Fahrenheit "; 
  std::cin >> f;

  /* Conversión */
  r = 5 / 9 * (f - 32)

  /* Mostrar resultados */
  std::cout << "Los grados Fahrenheit que ha introducido son " << f; 
  std::cout << " que convertidos a centígrados representan " << r << std::endl; 

  return 0;
} 
